Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(903)

Issue 323420043: Issue 4678: Fix spaces in metronome mark (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 2 days ago by Ebe123
Modified:
2 days, 6 hours ago
Reviewers:
dak
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Issue 4678: Fix spaces in metronome mark This change specifies the types of spaces used in the metronome markings as comments. It also changes the type of space to non-breaking around the equals sign. The change also improves readability by combining chars into strings.

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4 lines, -6 lines) Patch
M scm/translation-functions.scm View 2 chunks +4 lines, -6 lines 0 comments Download

Messages

Total messages: 6
Ebe123
Even though this part is fixed, it would be important to combine all consecutive text ...
1 week, 2 days ago (2017-08-10 14:18:39 UTC) #1
dak
Uh, isn't that just skirting the issue? SVG text generation has a bug swallowing spaces ...
3 days, 15 hours ago (2017-08-16 22:03:31 UTC) #2
Ebe123
On 2017/08/16 22:03:31, dak wrote: > Uh, isn't that just skirting the issue? SVG text ...
2 days, 17 hours ago (2017-08-17 19:59:30 UTC) #3
dak
On 2017/08/17 19:59:30, Ebe123 wrote: > On 2017/08/16 22:03:31, dak wrote: > > Uh, isn't ...
2 days, 15 hours ago (2017-08-17 21:43:10 UTC) #4
Ebe123
We are not losing spaces, the standard is to ignore trailing whitespace, such as line-breaks ...
2 days, 9 hours ago (2017-08-18 03:50:30 UTC) #5
dak
2 days, 6 hours ago (2017-08-18 07:07:33 UTC) #6
Message was sent while issue was closed.
On 2017/08/18 03:50:30, Ebe123 wrote:
> We are not losing spaces, the standard is to ignore trailing whitespace, such
as
> line-breaks and (breaking) spaces at the beginning of tabs.

If we represent a space in markup by something in XML (never mind whether or not
it looks like a space character) that is ignored, we _are_ losing spaces.  You
are confusing the payload with the file representation.  When we output stuff to
XML, we need to quote it appropriately.  We do so for metacharacters like < &
but it would appear that we also need to treat spaces in certain situations
different from what we do.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 80a51fa-tainted